Network Peering
Network peering management
List peerings
Get a list of all peerings within the current account. Only peerings that refer to a network that the current account has access are returned.
It is also possible to filter network peering with label URL parameters, e.g.
?label=env or ?label=env%3Dprod. The URL parameter can be given multiple
times to add more filters (e.g. ?label=env%3Dprod&label=v2), where
only network peering that match all labels are returned.
Label keys are matched case insensitively.
query Parameters
uuid^[0-9a-f]{8}-[0-9a-f…Filter by network peering UUID.
Universally unique identifier
network_uuid_local^[0-9a-f]{8}-[0-9a-f…Filter by local network uuid.
Universally unique identifier
network_uuid_peer^[0-9a-f]{8}-[0-9a-f…Filter by peer network uuid.
Universally unique identifier
labelLabel filter in the form key=value. Can be specified multiple times to filter by multiple labels.
List peerings › Responses
Create peering
Network peerings are used to enable traffic between two networks that can be on different main accounts.
The peering must be established both ways before it's considered as active. Peering is only supported between networks
of type private.
Note: you should only create peering between accounts and networks you trust. There is no limits on what traffic
can flow. The server firewall has no effect for private type networks.
It is required that both networks have a Router attached to the network.
Create peering › Request Body
nameDescribes the local side of the peering
Describes the peer side of the peering
configured_statusCreate peering › Responses
The network peering was successfully created.
configured_statusnameName of a network peering relationship.
Describes the local side of the peering
Describes the peer side of the peering
stateCurrent lifecycle state of a network peering.
uuid^[0-9a-f]{8}-[0-9a-f…Universally unique identifier
When the network peering was created
When the network peering was last updated. Null until the first modification.
Get peering
Returns the state of an existing network peering.
Note that the peer_network field only contains the network details if the peering has been defined by both accounts.
path Parameters
peering_uuidThe network peering identifier.
Get peering › Responses
Details of the specified network peering.
configured_statusnameName of a network peering relationship.
Describes the local side of the peering
Describes the peer side of the peering
stateCurrent lifecycle state of a network peering.
uuid^[0-9a-f]{8}-[0-9a-f…Universally unique identifier
When the network peering was created
When the network peering was last updated. Null until the first modification.
Modify peering
Modifies attributes of an existing network peering.
path Parameters
peering_uuidThe network peering identifier.
Modify peering › Request Body
configured_statusnameModify peering › Responses
The network peering was successfully modified.
configured_statusnameName of a network peering relationship.
Describes the local side of the peering
Describes the peer side of the peering
stateCurrent lifecycle state of a network peering.
uuid^[0-9a-f]{8}-[0-9a-f…Universally unique identifier
When the network peering was created
When the network peering was last updated. Null until the first modification.